
From: Sean Hefty <sean.hefty@intel.com>

Fix ib_find_cached_gid() to return the correct port number relative to
the port numbering used by the device.

Signed-off-by: Sean Hefty <sean.hefty@intel.com>
Signed-off-by: Roland Dreier <roland@topspin.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/infiniband/core/cache.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/infiniband/core/cache.c~ib-fix-ib_find_cached_gid-port-numbering drivers/infiniband/core/cache.c
--- 25/drivers/infiniband/core/cache.c~ib-fix-ib_find_cached_gid-port-numbering	2005-03-03 17:39:51.000000000 -0800
+++ 25-akpm/drivers/infiniband/core/cache.c	2005-03-03 17:39:51.000000000 -0800
@@ -114,7 +114,7 @@ int ib_find_cached_gid(struct ib_device 
 		cache = device->cache.gid_cache[p];
 		for (i = 0; i < cache->table_len; ++i) {
 			if (!memcmp(gid, &cache->table[i], sizeof *gid)) {
-				*port_num = p;
+				*port_num = p + start_port(device);
 				if (index)
 					*index = i;
 				ret = 0;
_
